Get alias order status

GET
/orders/account-aliases/{id}

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string

Unique identifier of the alias order

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

Alias order details retrieved successfully

application/json
  1. response

Alias order status and details.

id?string

Unique identifier of the alias order

Formatuuid
accountId?string

Unique identifier of the account the aliases are assigned to

Formatuuid
status?AliasOrderStatusEnum

Current status of the alias order

Value in"PROCESSING""COMPLETED""FAILED"
requested?integer

Total number of aliases requested

completed?integer

Number of aliases successfully created so far

createdAt?string

Timestamp when the order was created

Formatdate-time
completedAt?|

Timestamp when the order reached a terminal state

Formatdate-time
_links?
Example Request
curl -X GET 'https://accounts.sandbox.volt.io/orders/account-aliases/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'X-Volt-Api-Version: 1'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",  "status": "PROCESSING",  "requested": 0,  "completed": 0,  "createdAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z",  "_links": {    "self": {      "href": "http://example.com",      "method": "GET"    },    "aliases": {      "href": "http://example.com",      "method": "GET"    }  }}